com.independentsoft.exchange

## Enum ExternalAudience

- java.lang.Object
- - java.lang.Enum<ExternalAudience>
  - - com.independentsoft.exchange.ExternalAudience

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExternalAudience>

      public enum ExternalAudience
      extends java.lang.Enum<ExternalAudience>

  Sets or contains a value that determines to whom external Out of Office (OOF) messages are sent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` E-mail senders outside the mailbox user's organization who send messages to the user will receive an external OOF message response.
    `KNOWN` E-mail senders outside the mailbox user's organization who send messages to the user will only receive an external OOF message response if the sender is in the user's Exchange store contact list.
    `NONE` E-mail senders outside the mailbox user's organization who send messages to the user will not receive an external OOF message response.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExternalAudience` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExternalAudience[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ExternalAudience NONE

      E-mail senders outside the mailbox user's organization who send messages to the user will not receive an external OOF message response.

    - #### KNOWN

          public static final ExternalAudience KNOWN

      E-mail senders outside the mailbox user's organization who send messages to the user will only receive an external OOF message response if the sender is in the user's Exchange store contact list.

    - #### ALL

          public static final ExternalAudience ALL

      E-mail senders outside the mailbox user's organization who send messages to the user will receive an external OOF message response.

  - ### Method Detail

    - #### values

          public static ExternalAudience[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExternalAudience c : ExternalAudience.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExternalAudience valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null